:root {
    --bg-color: hsl(20, 6%, 15%);
    --dark-bg-color: #161514;
    --border-color: hsl(12, 4%, 30%);
    --light-color: rgb(253, 253, 253);
    --light-color-hover: rgb(216, 213, 213);
    --font-color: var(#333333);
    --green: rgb(98, 233, 98);
    --red: rgb(233, 98, 98);
    --blue: rgb(91, 91, 214);
}

* {
    box-sizing: border-box;
}

html, body {
    height: 100%;
}

body {
    margin: 0;
    font-family: Arial, Helvetica, sans-serif;
    background-color: var(--bg-color);
    display: grid;
    grid-template-rows: 64px 1fr;
    grid-template-areas:
    "header"
    "content";
}

h2 {
    color: var(--light-color);
    margin: 0;
    margin-bottom: 0.5rem;
    font-size: 2rem;
}

.header {
    position: relative;
    background-color: var(--dark-bg-color);
    padding: 0 1rem;
    display: flex;
    flex-direction: row;
    justify-content: left;
    align-items: center;
    flex-wrap: wrap;
    gap: 1rem;
    border-bottom: 2px solid var(--border-color);
}

a.header-nav {
    background-color: var(--light-color);
    color: var(--font-color);
    text-decoration: none;
    padding: 0.5rem 0.5rem;
    border-radius: 0.5rem;
    border: 1px solid var(--border-color);
}

button.header-nav {
    background-color: var(--light-color);
    color: var(--font-color);
    padding: 0.5rem 0.5rem;
    border-radius: 0.5rem;
    border: 1px solid var(--border-color);
}

.content {
    padding: 1rem;
    padding-top: 6rem;
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: center;
    gap: 2rem;
}

.title {
    font-size: 3rem;
    color: var(--light-color);
    margin: 0;
    align-self: start;
}

.container {
    width: 80%;
    min-width: 50rem;
    padding: 2rem;

    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: center;
    gap: 2rem;

    border-radius: 0.5rem;
    border: 1px solid var(--border-color);
}

.containerHeader {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 1rem;
}

.containerDescription {
    color: var(--border-color);
    font-size: 0.75rem;
}

.containerHeader a, .containerHeader button {
    padding: 0.5rem;
    font-size: 1rem;
    background-color: var(--light-color);
    border-radius: 0.5rem;
    border: 1px solid var(--border-color);
    cursor: pointer ;
    text-decoration: none;
    color: var(--font-color);
}

.containerHeader a:hover, .containerHeader button:hover {
    background-color: var(--light-color-hover);
}

.container table {
    border-collapse: collapse;
    width: 100%;
}

.container thead th {
    border-top: 1px solid var(--border-color);
    border-bottom: 1px solid var(--border-color);
    background-color: var(--dark-bg-color);
    padding: 0.25rem 0 0.25rem 0.5rem;
    text-align: left;
    color: hsl(12, 4%, 50%);
}

.container tbody td {
    border-bottom: 1px solid var(--border-color);
    padding: 0.75rem 0 0.75rem 0.5rem;
    text-align: left;
    color: rgb(253, 253, 253);
}

.container tbody a {
    color: var(--light-color);
}

.container tbody tr:hover {
    background-color: hsl(20, 6%, 25%);
    cursor: pointer;
}

table button {
    background-color: var(--light-color);
    color: #333333;
    padding: 0.25rem 0.5rem;
    border: 1px solid var(--border-color);
    border-radius: 0.5rem;
    cursor: pointer;
}






.modalOverlay {
    position: fixed;
    inset: 0;
    background: rgba(22, 21, 20, 0.80);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 100;
}

.modalBox {
    background-color: var(--bg-color);
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: start;
    gap: 1rem;

    border-radius: 0.5rem;
    border: 1px solid var(--border-color);
    padding: 2rem;
}

.modalForm {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    justify-content: center;
}

.modalForm input[type="text"] {
    width: 20rem;
}



.statCardContainer {
    width: 100%;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    flex-wrap: wrap;
    row-gap: 1rem;
}

.statCard {
    /* background-color: var(--dark-bg-color); */
    width: 11rem;
    height: 6rem;
    padding: 1rem 1rem;
    border-radius: 1rem;
    border: 1px solid var(--border-color);
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: space-between;
}

.statCardTitle {
    color: var(--border-color);
}

.statCardValue {
    color: var(--light-color);
    font-size: 2rem;
    margin: 0;
}

.clickable {
    cursor: pointer;
}




div.popup-frame {
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: start;
    gap: 1rem;
    border-radius: 1rem;
    border: 1px solid var(--border-color);
    padding: 2rem;
}

div.popup-frame form {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    justify-content: center;
}

div.popup-frame span {
    color: var(--border-color);
    font-size: 0.75rem;
}

input, select {
    width: 12rem;
    background-color: inherit;
    font-size: 1rem;
    padding: 0.5rem 1rem;
    color: var(--light-color);
    border-radius: 0.5rem;
    border: 1px solid var(--border-color);
}

input:focus-visible, select:focus-visible {
    outline: 1px solid rgb(98, 233, 98);
}

input[type="date"] {
    color-scheme: dark;
    cursor: pointer;
    font-size: 0.85rem;
}

select {
    cursor: pointer;
}

form button {
    width: 20rem;
    background-color: var(--light-color);
    font-size: 1rem;
    padding: 0.5rem 1rem;
    color: var(--font-color);
    border-radius: 0.5rem;
    border: 1px solid var(--border-color);
    cursor: pointer;
}

form label {
    font-size: 1rem;
    color: var(--light-color);
}

form span {
    width: 20rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

span.dateRangeSpan {
    display: flex;
    justify-content: space-between;
}

.containerHeaderSpan {
    display: flex;
    gap: 1rem;
}


span.won, span.lost, span.unsettled {
    padding: 0.25rem 0.5rem;
    border-radius: 1rem;
}


span.won {
    border: 1px solid var(--green);
    color: var(--green);
}

span.lost {
    border: 1px solid var(--red);
    color: var(--red);
}

span.unsettled {
    border: 1px solid var(--border-color);
    color: var(--border-color);
}


.chart-wrapper {
    width: 75%;
    /* height: 30rem; */
}